Bug 1309269 - python-texttable: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-texttable: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-texttable
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-02-17 10:53 UTC by Petr Viktorin
Modified: 2016-09-07 10:56 UTC (History)
4 users (show)

Fixed In Version: python-texttable-0.8.4-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 10:56:14 UTC
mhroncok: needinfo? (admiller)


Attachments (Terms of Use)
add Python 3 & version update (4.57 KB, patch)
2016-07-25 13:29 UTC, Dominika Krejčí
no flags Details | Diff

Description Petr Viktorin 2016-02-17 10:53:22 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 15:24:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Dominika Krejčí 2016-06-28 09:26:15 UTC
Hello Adam,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Dominika Krejčí 2016-07-25 13:29:19 UTC
Created attachment 1183807 [details]
add Python 3 & version update

Hi Adam,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15013054

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-x86_64, fedora-rawhide-i386).

Comment 4 Lumír Balhar 2016-07-28 08:34:05 UTC
Patch looks good to me.

Comment 5 Miro Hrončok 2016-08-16 10:46:49 UTC
Adam,
do you mind if I push this? If you don't reply in a week, I assume it's OK.


Note You need to log in before you can comment on or make changes to this bug.